class_name Score

var Name: String
var Scores: Dictionary

func valKey() -> String:
	var scorestr = ""
	for i in self.Scores:
		scorestr += i + self.Scores[i]
	return String(Config.ProjectName.to_lower() + self.Name + scorestr + Secrets.ValKey).sha256_text()
